Subject: Re: Floating Point problems with Linux on the EST SBC8260

From: Neil Russell <[email-masked]>
Date: Wed, 24 May 2000 13:44:51 -0700

Oops, let's try that again...

I tried this on my board.  I'm running 2.2.14 the SBC8260 and some other
hardware.  I ran the code you posted and it produced exactly the results
that it should have.

The word I have from Motorola is that rev A.1 8260's have a full FPU,
whereas prior version do not.  My experiences confirm this.

Also, I don't cross compile;  I use a G3 MAC running linux.  I wonder if
this makes a difference?

Neil.

On Wed, May 24, 2000 at 03:47:10PM -0400, diekema_jon wrote:
> Floating Point problems with Linux on the EST SBC8260:
>
>
>
>
> The expected results should look something like:
>
> dell 420} ./a.out
> x 1234.330000 (1234.33) 0xEB851EB8
> y 4444.200000 (4444.2)  0x33333333
> z = x * y, 1234.330000 4444.200000 5485609.386000
> z = x / y, 1234.330000 4444.200000 0.277740
>
> We aren't even close to reasonable answers yet.
>

--
Neil Russell <[email-masked]>

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/